Bug 60877 - Visual Studio couldn't connect
Summary: Visual Studio couldn't connect
Status: NEEDINFO
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.7.0 (15.4)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-11-27 21:11 UTC by dlawnicki
Modified: 2017-12-20 21:24 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 60877 on Developer Community if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.
Related Links:
Status:
NEEDINFO

Description dlawnicki 2017-11-27 21:11:41 UTC
# Steps to reproduce
In Visual Studio 2015, Tools -> iOS -> Xamarin Mac Agent. Click on the mac. It attempts to connect and then fails with Visual Studio couldn't connect to ENNOMACMacmini (192.168.0.107).

I can use Putty to SSH into the mac (High Sierra) fine. I've added UseDNS no into sshd_config and restarted remote login. I've wiped the XMA folder on the mac and cleared cache on the windows 10 machine. 

This was working fine. Then, xamarin updated and it started happening. By installing a beta copy a month later, it started working again. Then, suddenly it stopped working again. Then I did an update, and it worked again. And now, suddenly, cannot connect again.... Finally over it, and need a fix...

# Expected behavior
Connects to the mac.

# Actual behavior
Doesn't connect to the mac.

# Supplemental info (logs, images, videos)
Xamarin.VisualStudio.TastyPackage|Information|0|Hooked up SDB tracing adapter
Xamarin.VisualStudio.TastyPackage|Information|0|Initialization finished
Xamarin|Information|0|Xamarin - 4.7.10.38-d15-4+34c1b6c
Xamarin.VisualStudio.Activation.AccountManager|Information|0|VS2015 Professional
Xamarin.VisualStudio.Activation.ActivationManager|Information|0|No license found for iOS
Xamarin.VisualStudio.Activation.ActivationManager|Information|0|Running license sync for iOS
Xamarin.VisualStudio.Activation.ActivationManager|Information|0|Not logged in, using iOS VSProfessional
Xamarin.VisualStudio.Activation.ActivationManager|Information|0|No license found for Android
Xamarin.VisualStudio.Activation.ActivationManager|Information|0|Running license sync for Android
Xamarin.VisualStudio.Activation.ActivationManager|Information|0|Not logged in, using Android VSProfessional
Xamarin.VisualStudio.TastyPackage|Information|0|Hooked up SDB tracing adapter
Xamarin.VisualStudio.TastyPackage|Information|0|Initialization finished
Xamarin.VisualStudio.IOS.XamarinIOSPackage|Warning|0|Initializing Xamarin.VisualStudio.IOS.XamarinIOSPackage.
Xamarin.VisualStudio.MsBuild.ProjectBuildTracker|Error|0|Cannot start build tracking. Project is null.
Xamarin.Inspector|Information|0|Inspector extension loaded
Xamarin.VisualStudio.ProjectFixerRunner|Information|0|Solution loaded: 'MyDash4'
Xamarin.VisualStudio.ProjectFixerRunner|Information|0|running fixup on project 'D:\Projects\xamarin\MyDash4\MyDash4\MyDash4.iOS\MyDash4.iOS.csproj'
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Connecting to the Server...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from DisconnectedState to ConnectingState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting connection to ENNOMACMacmini...
Xamarin.VisualStudio.TastyPackage|Information|0|Hooked up SDB tracing adapter
Xamarin.VisualStudio.TastyPackage|Information|0|Initialization finished
Xamarin.VisualStudio.Android.XamarinAndroidPackage|Warning|0|Initializing Xamarin.VisualStudio.Android.XamarinAndroidPackage
Xamarin.VisualStudio.ProjectFixerRunner|Information|0|Project loaded: 'D:\Projects\xamarin\MyDash4\MyDash4\MyDash4.Android\MyDash4.Android.csproj'
Xamarin.VisualStudio.ProjectFixerRunner|Information|0|running fixup on project 'D:\Projects\xamarin\MyDash4\MyDash4\MyDash4.Android\MyDash4.Android.csproj'
Xamarin.VisualStudio.Android.ContinuousPlayerDeviceProvider|Information|0|Start()
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Information|0|Server directory /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34 doesn't exist, hence the checksum can't be verified
Xamarin.Messaging.Ssh.MessagingService|Information|0|Installing Broker 1.1.6.34...
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Information|0|Server directory /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34 doesn't exist, hence the checksum can't be verified
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (160/1576 KB) 10%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (320/1576 KB) 20%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (480/1576 KB) 30%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (640/1576 KB) 40%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (800/1576 KB) 50%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (960/1576 KB) 60%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (1104/1576 KB) 70%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (1264/1576 KB) 80%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (1424/1576 KB) 90%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploaded Broker.zip 100%
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Warning|0|Integrity check failed between deployed content and local copy. Server path: /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34, Local path: C:\Users\dlawnicki\AppData\Local\Temp\Xamarin\XMA\Broker\Broker.1.1.6.34.md5
Xamarin.Messaging.Ssh.MessagingService|Error|0|Unable to install the Broker
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|An error occurred while trying to start the Broker...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from ConnectingState to DisconnectedState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Disconnected from the Server ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Visual Studio couldn't connect to ENNOMACMacmini (192.168.0.107).
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Connecting to the Server...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from DisconnectedState to ConnectingState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting connection to ENNOMACMacmini...
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Warning|0|Integrity check failed between deployed content and local copy. Server path: /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34, Local path: C:\Users\dlawnicki\AppData\Local\Temp\Xamarin\XMA\Broker\Broker.1.1.6.34.md5
Xamarin.Messaging.Ssh.MessagingService|Information|0|Installing Broker 1.1.6.34...
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Warning|0|Integrity check failed between deployed content and local copy. Server path: /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34, Local path: C:\Users\dlawnicki\AppData\Local\Temp\Xamarin\XMA\Broker\Broker.1.1.6.34.md5
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Warning|0|Integrity check failed between deployed content and local copy. Server path: /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34, Local path: C:\Users\dlawnicki\AppData\Local\Temp\Xamarin\XMA\Broker\Broker.1.1.6.34.md5
Xamarin.Messaging.Ssh.MessagingService|Error|0|Unable to install the Broker
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|An error occurred while trying to start the Broker...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from ConnectingState to DisconnectedState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Disconnected from the Server ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Visual Studio couldn't connect to ENNOMACMacmini (192.168.0.107).
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Connecting to the Server...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from DisconnectedState to ConnectingState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting connection to ENNOMACMacmini...
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Warning|0|Integrity check failed between deployed content and local copy. Server path: /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34, Local path: C:\Users\dlawnicki\AppData\Local\Temp\Xamarin\XMA\Broker\Broker.1.1.6.34.md5
Xamarin.Messaging.Ssh.MessagingService|Information|0|Installing Broker 1.1.6.34...
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Warning|0|Integrity check failed between deployed content and local copy. Server path: /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34, Local path: C:\Users\dlawnicki\AppData\Local\Temp\Xamarin\XMA\Broker\Broker.1.1.6.34.md5
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Warning|0|Integrity check failed between deployed content and local copy. Server path: /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34, Local path: C:\Users\dlawnicki\AppData\Local\Temp\Xamarin\XMA\Broker\Broker.1.1.6.34.md5
Xamarin.Messaging.Ssh.MessagingService|Error|0|Unable to install the Broker
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|An error occurred while trying to start the Broker...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from ConnectingState to DisconnectedState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Disconnected from the Server ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Visual Studio couldn't connect to ENNOMACMacmini (192.168.0.107).
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Connecting to the Server...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from DisconnectedState to ConnectingState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting connection to ENNOMACMacmini...
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting Broker 1.1.6.34 in port 57193...
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute 'mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: mono64: command not found

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/local/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/local/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommands|Information|0|A valid Mono installation has been found at '/Library/Frameworks/Mono.framework/Versions/Current/bin/mono64'
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|Method not found: 'Void Newtonsoft.Json.JsonSerializer.set_TypeNameAssemblyFormat(System.Runtime.Serialization.Formatters.FormatterAssemblyStyle)'.
System.MissingMethodException: Method not found: 'Void Newtonsoft.Json.JsonSerializer.set_TypeNameAssemblyFormat(System.Runtime.Serialization.Formatters.FormatterAssemblyStyle)'.
   at Xamarin.Messaging.Client.Serialization.BsonSerializer..ctor()
   at Xamarin.Messaging.Client.Serialization.SerializationManager.<>c.<.cctor>b__3_0() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Client\Serialization\SerializationManager.cs:line 16
   at System.Lazy`1.CreateValue()
   at System.Lazy`1.LazyInitValue()
   at System.Lazy`1.get_Value()
   at Xamarin.Messaging.Ssh.MessagingService.<>c__DisplayClass82_0.<<GetConnectionFactory>b__0>d.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 529
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.SshMessagingConnection.<ConnectAsync>d__41.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\SshMessagingConnection.cs:line 159
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectMqttAsync>d__83.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 551
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectAsync>d__69.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 255
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|Couldn't connect to ENNOMACMacmini. Please try again.
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from ConnectingState to DisconnectedState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Disconnected from the Server ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Visual Studio couldn't connect to ENNOMACMacmini (192.168.0.107).
System.Net.Mqtt.Sdk.Bindings.TcpChannel|Warning|0|The underlying communication stream has completed sending bytes. The observable sequence will be completed and the channel will be disposed
System.Net.Mqtt.Sdk.ClientPacketListener|Warning|0|Client  - Packet Channel observable sequence has been completed
System.Net.Mqtt.Sdk.MqttClientImpl|Warning|0|Client - Packet observable sequence has been completed, hence closing the channel
System.Net.Mqtt.Sdk.MqttClientImpl|Information|0|Client  - Disposing. Reason: RemoteDisconnected
System.Net.Mqtt.Sdk.ClientPacketListener|Information|0|Disposing System.Net.Mqtt.Sdk.ClientPacketListener...
System.Net.Mqtt.Sdk.PacketChannel|Information|0|Disposing System.Net.Mqtt.Sdk.PacketChannel...
System.Net.Mqtt.Sdk.Bindings.TcpChannel|Information|0|Disposing System.Net.Mqtt.Sdk.Bindings.TcpChannel...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Connecting to the Server...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from DisconnectedState to ConnectingState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting connection to ENNOMACMacmini...
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting Broker 1.1.6.34 in port 54946...
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute 'mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: mono64: command not found

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/local/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/local/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommands|Information|0|A valid Mono installation has been found at '/Library/Frameworks/Mono.framework/Versions/Current/bin/mono64'
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|The Broker initialization exceeded the timeout of 60000 millisecs without receiving confirmation from the Broker.
System.TimeoutException: The Broker initialization exceeded the timeout of 60000 millisecs without receiving confirmation from the Broker.
   at Xamarin.Messaging.Ssh.BrokerCommands.<StartProcessAsync>d__8.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\BrokerCommands.cs:line 71
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<StartBrokerAsync>d__91.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 704
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectMqttAsync>d__83.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 541
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectAsync>d__69.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 255
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|Couldn't connect to ENNOMACMacmini. Please try again.
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from ConnectingState to DisconnectedState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Disconnected from the Server ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Visual Studio couldn't connect to ENNOMACMacmini (192.168.0.107).
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Connecting to the Server...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from DisconnectedState to ConnectingState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting connection to ENNOMACMacmini...
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Information|0|Server directory /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34 doesn't exist, hence the checksum can't be verified
Xamarin.Messaging.Ssh.MessagingService|Information|0|Installing Broker 1.1.6.34...
Xamarin.Messaging.Ssh.MessagingCommands{System.String}|Information|0|Server directory /Users/dlawnicki/Library/Caches/Xamarin/XMA/Broker/1.1.6.34 doesn't exist, hence the checksum can't be verified
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (160/1576 KB) 10%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (320/1576 KB) 20%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (480/1576 KB) 30%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (640/1576 KB) 40%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (800/1576 KB) 50%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (960/1576 KB) 60%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (1104/1576 KB) 70%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (1264/1576 KB) 80%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploading Broker.zip (1424/1576 KB) 90%...
Xamarin.Messaging.Ssh.MessagingFileManager+UploadFileLogger|Information|0|Uploaded Broker.zip 100%
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting Broker 1.1.6.34 in port 54123...
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute 'mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: mono64: command not found

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/local/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/local/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommands|Information|0|A valid Mono installation has been found at '/Library/Frameworks/Mono.framework/Versions/Current/bin/mono64'
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|The Broker initialization exceeded the timeout of 60000 millisecs without receiving confirmation from the Broker.
System.TimeoutException: The Broker initialization exceeded the timeout of 60000 millisecs without receiving confirmation from the Broker.
   at Xamarin.Messaging.Ssh.BrokerCommands.<StartProcessAsync>d__8.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\BrokerCommands.cs:line 71
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<StartBrokerAsync>d__91.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 704
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectMqttAsync>d__83.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 541
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectAsync>d__69.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 255
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|Couldn't connect to ENNOMACMacmini. Please try again.
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from ConnectingState to DisconnectedState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Disconnected from the Server ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Visual Studio couldn't connect to ENNOMACMacmini (192.168.0.107).
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Connecting to the Server...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from DisconnectedState to ConnectingState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting connection to ENNOMACMacmini...
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting Broker 1.1.6.34 in port 56549...
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute 'mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: mono64: command not found

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/local/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/local/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommands|Information|0|A valid Mono installation has been found at '/Library/Frameworks/Mono.framework/Versions/Current/bin/mono64'
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|The Broker initialization exceeded the timeout of 60000 millisecs without receiving confirmation from the Broker.
System.TimeoutException: The Broker initialization exceeded the timeout of 60000 millisecs without receiving confirmation from the Broker.
   at Xamarin.Messaging.Ssh.BrokerCommands.<StartProcessAsync>d__8.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\BrokerCommands.cs:line 71
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<StartBrokerAsync>d__91.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 704
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectMqttAsync>d__83.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 541
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectAsync>d__69.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 255
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|Couldn't connect to ENNOMACMacmini. Please try again.
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from ConnectingState to DisconnectedState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Disconnected from the Server ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Visual Studio couldn't connect to ENNOMACMacmini (192.168.0.107).
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Connecting to the Server...
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from DisconnectedState to ConnectingState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting connection to ENNOMACMacmini...
Xamarin.Messaging.Ssh.MessagingService|Information|0|Starting Broker 1.1.6.34 in port 56571...
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute 'mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: mono64: command not found

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/local/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/local/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|Failed to execute '/usr/bin/mono64 --version': ExitStatus = 127
Xamarin.Messaging.Ssh.SshCommandRunner|Warning|0|bash: /usr/bin/mono64: No such file or directory

Xamarin.Messaging.Ssh.SshCommands|Information|0|A valid Mono installation has been found at '/Library/Frameworks/Mono.framework/Versions/Current/bin/mono64'
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|The Broker initialization exceeded the timeout of 60000 millisecs without receiving confirmation from the Broker.
System.TimeoutException: The Broker initialization exceeded the timeout of 60000 millisecs without receiving confirmation from the Broker.
   at Xamarin.Messaging.Ssh.BrokerCommands.<StartProcessAsync>d__8.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\BrokerCommands.cs:line 71
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<StartBrokerAsync>d__91.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 704
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectMqttAsync>d__83.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 541
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.ValidateEnd(Task task)
   at Xamarin.Messaging.Ssh.MessagingService.<ConnectAsync>d__69.MoveNext() in C:\d\lanes\5156\34c1b6c2\source\xamarinvs\External\messaging\src\Xamarin.Messaging.Ssh\MessagingService.cs:line 255
Xamarin.Messaging.Integration.State.DisconnectedState|Error|0|Couldn't connect to ENNOMACMacmini. Please try again.
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Server State transition from ConnectingState to DisconnectedState on ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Disconnected from the Server ENNOMACMacmini (192.168.0.107)
Xamarin.Messaging.Integration.State.ServerStateContext|Information|0|Visual Studio couldn't connect to ENNOMACMacmini (192.168.0.107).


SSHD log:
Nov 21 17:49:25 ENNOMACMacmini sshd[31118]: Accepted publickey for dlawnicki from 192.168.0.32 port 52201 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 21 17:49:27 ENNOMACMacmini sshd[31121]: Accepted publickey for dlawnicki from 192.168.0.32 port 52210 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 21 17:49:27 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.488BFECF-D88E-4F5A-B267-4F8D3F428056[31118]): Service exited with abnormal code: 255
Nov 21 17:49:27 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.BF439CD7-3375-4764-BC6F-FFAAB54C897E[31121]): Service exited with abnormal code: 255
Nov 21 17:49:32 ENNOMACMacmini sshd[31128]: Accepted publickey for dlawnicki from 192.168.0.32 port 52222 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 21 17:49:33 ENNOMACMacmini sshd[31131]: Accepted publickey for dlawnicki from 192.168.0.32 port 52232 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 21 17:49:46 ENNOMACMacmini sshd[31287]: Accepted publickey for dlawnicki from 192.168.0.32 port 52243 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 21 17:49:48 ENNOMACMacmini sshd[31290]: Accepted publickey for dlawnicki from 192.168.0.32 port 52246 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 21 17:49:48 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.5A598E28-D6CC-42A0-AA4A-C30E89FAF554[31287]): Service exited with abnormal code: 255
Nov 21 17:49:48 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.6289D70C-5718-4B69-A7AF-9F645A8B3A92[31290]): Service exited with abnormal code: 255
Nov 21 17:49:52 ENNOMACMacmini sshd[31298]: Accepted publickey for dlawnicki from 192.168.0.32 port 52249 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 21 17:49:53 ENNOMACMacmini sshd[31301]: Accepted publickey for dlawnicki from 192.168.0.32 port 52250 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 21 17:50:57 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.8328D683-40B2-4CAB-BFAA-90836A063AE4[31298]): Service exited with abnormal code: 255
Nov 21 17:50:57 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.790C0F00-0371-406B-AC47-1A717825B5A8[31301]): Service exited with abnormal code: 255
Nov 27 14:08:09 ENNOMACMacmini sshd[718]: Accepted publickey for dlawnicki from 192.168.0.32 port 56586 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 14:08:11 ENNOMACMacmini sshd[724]: Accepted publickey for dlawnicki from 192.168.0.32 port 56588 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 14:08:15 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.C31871D2-3C8E-4FA7-9B66-BB74AE691E1C[724]): Service exited with abnormal code: 255
Nov 27 14:08:15 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.A9225D0A-BFB7-402E-AA30-DC17ED712545[718]): Service exited with abnormal code: 255
Nov 27 14:08:18 ENNOMACMacmini sshd[731]: Accepted publickey for dlawnicki from 192.168.0.32 port 56589 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 14:08:20 ENNOMACMacmini sshd[764]: Accepted publickey for dlawnicki from 192.168.0.32 port 56590 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 14:10:30 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.25988B73-7F69-4699-9673-5FEF8B7DAAD6[764]): Service exited with abnormal code: 255
Nov 27 14:10:30 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.71C96FBD-CE44-4D6D-9921-B0A1A740DF8A[731]): Service exited with abnormal code: 255
Nov 27 14:53:08 ENNOMACMacmini sshd[1765]: Accepted publickey for dlawnicki from 192.168.0.32 port 57597 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 14:53:09 ENNOMACMacmini sshd[1768]: Accepted publickey for dlawnicki from 192.168.0.32 port 57600 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 14:53:10 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.B8246EBA-0F98-4E12-AC95-28A33B8271CB[1765]): Service exited with abnormal code: 255
Nov 27 14:53:10 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.F23AAB62-4D65-4265-BA2F-D460536BAD1E[1768]): Service exited with abnormal code: 255
Nov 27 14:53:14 ENNOMACMacmini sshd[1776]: Accepted publickey for dlawnicki from 192.168.0.32 port 57601 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 14:53:15 ENNOMACMacmini sshd[1779]: Accepted publickey for dlawnicki from 192.168.0.32 port 57602 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 14:54:21 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.64916657-4AD7-4B12-B8B4-9B400413D2DC[1776]): Service exited with abnormal code: 255
Nov 27 14:54:21 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.7FEA62B0-7A7B-4719-A4B5-D11BB7708697[1779]): Service exited with abnormal code: 255
Nov 27 15:05:56 ENNOMACMacmini sshd[2073]: Accepted publickey for dlawnicki from 192.168.0.32 port 57847 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:05:58 ENNOMACMacmini sshd[2076]: Accepted publickey for dlawnicki from 192.168.0.32 port 57852 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:06:04 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.9743917B-3CEF-426C-A45C-984D1393E898[2073]): Service exited with abnormal code: 255
Nov 27 15:06:04 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.2765369D-D19C-44BA-89F0-66C11A2551EB[2076]): Service exited with abnormal code: 255
Nov 27 15:06:46 ENNOMACMacmini sshd[2180]: Accepted publickey for dlawnicki from 192.168.0.32 port 57854 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:06:47 ENNOMACMacmini sshd[2183]: Accepted publickey for dlawnicki from 192.168.0.32 port 57855 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:06:50 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.41093DFF-390E-4881-8793-B11FE28D626F[2180]): Service exited with abnormal code: 255
Nov 27 15:06:50 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.82B76F19-9368-47CD-9E0A-36805BFDD866[2183]): Service exited with abnormal code: 255
Nov 27 15:07:04 ENNOMACMacmini sshd[2450]: Accepted publickey for dlawnicki from 192.168.0.32 port 57856 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:07:05 ENNOMACMacmini sshd[2453]: Accepted publickey for dlawnicki from 192.168.0.32 port 57857 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:07:07 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.F9F3369F-27DB-4394-811D-ED4E78A4F566[2450]): Service exited with abnormal code: 255
Nov 27 15:07:07 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.3DF96BF9-4A08-4FD0-B4CE-E943FC4B46CA[2453]): Service exited with abnormal code: 255
Nov 27 15:13:05 ENNOMACMacmini sshd[2736]: Accepted publickey for dlawnicki from 192.168.0.32 port 57897 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:13:06 ENNOMACMacmini sshd[2739]: Accepted publickey for dlawnicki from 192.168.0.32 port 57899 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:13:46 ENNOMACMacmini sshd[2850]: Accepted publickey for dlawnicki from 192.168.0.32 port 57907 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:13:47 ENNOMACMacmini sshd[2853]: Accepted publickey for dlawnicki from 192.168.0.32 port 57908 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:14:51 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.E8192D0A-D185-4E35-ADFA-3A501ED0F3FD[2850]): Service exited with abnormal code: 255
Nov 27 15:14:51 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.2216C151-38B5-45C1-88F9-E0987452FCC3[2853]): Service exited with abnormal code: 255
Nov 27 15:17:00 ENNOMACMacmini sshd[3095]: Accepted publickey for dlawnicki from 192.168.0.32 port 57992 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:17:01 ENNOMACMacmini sshd[3098]: Accepted publickey for dlawnicki from 192.168.0.32 port 57993 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:18:06 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.5D6CCDBA-9022-4629-BCC7-9E99789F5752[3095]): Service exited with abnormal code: 255
Nov 27 15:18:06 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.E0BEC664-E7E4-42AF-8BBC-E5C66AEE7158[3098]): Service exited with abnormal code: 255
Nov 27 15:19:46 ENNOMACMacmini sshd[3328]: Accepted keyboard-interactive/pam for dlawnicki from 192.168.0.32 port 58069 ssh2
Nov 27 15:19:46 ENNOMACMacmini sshd: dlawnicki [priv][3328]: USER_PROCESS: 3331 ttys001
Nov 27 15:19:49 ENNOMACMacmini sshd: dlawnicki [priv][3328]: DEAD_PROCESS: 3331 ttys001
Nov 27 15:20:52 ENNOMACMacmini sshd[3339]: Accepted publickey for dlawnicki from 192.168.0.32 port 58078 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:20:53 ENNOMACMacmini sshd[3342]: Accepted publickey for dlawnicki from 192.168.0.32 port 58079 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:21:55 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.1AABA675-7C11-4C1A-96DE-0461AA2BAA0C[3339]): Service exited with abnormal code: 255
Nov 27 15:21:55 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.120B3A30-AD6B-4932-AEC0-D0AB49DDA679[3342]): Service exited with abnormal code: 255
Nov 27 15:39:02 ENNOMACMacmini sudo[3578]: dlawnicki : TTY=ttys000 ; PWD=/Users/dlawnicki/Desktop ; USER=root ; COMMAND=/bin/cp /Users/dlawnicki/Desktop/sshd_config /etc/ssh/sshd_config
Nov 27 15:43:24 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd): Unknown key for string: SHAuthorizationRight
Nov 27 15:44:05 ENNOMACMacmini sshd[3602]: Accepted publickey for dlawnicki from 192.168.0.32 port 58234 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:44:07 ENNOMACMacmini sshd[3605]: Accepted publickey for dlawnicki from 192.168.0.32 port 58235 ssh2: RSA SHA256:hK5DTBX8yxaNHziKleRJXjKKFoEOhyAW5KG4Y2GD1ho
Nov 27 15:45:11 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.2CB7E3AB-D13F-4C9D-AD12-FDD0C5BC551D[3602]): Service exited with abnormal code: 255
Nov 27 15:45:11 ENNOMACMacmini com.apple.xpc.launchd[1] (com.openssh.sshd.751D5E05-CD95-4E2F-BA59-FD01971D9486[3605]): Service exited with abnormal code: 255


# Test environment (full version information)
		Microsoft Visual Studio Professional 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.7.02053

Installed Version: Professional

Microsoft Visual Studio Tools for Applications 2015   00322-50000-22984-AA476
Microsoft Visual Studio Tools for Applications 2015

Visual Basic 2015   00322-50000-22984-AA476
Microsoft Visual Basic 2015

Visual C# 2015   00322-50000-22984-AA476
Microsoft Visual C# 2015

Visual C++ 2015   00322-50000-22984-AA476
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00322-50000-22984-AA476
Windows Phone SDK 8.0 - ENU

ASP.NET and Web Tools 2015.1 (Beta8)   14.1.11107.0
ASP.NET and Web Tools 2015.1 (Beta8)

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

AWS Toolkit for Visual Studio 2015   1.9.6.19
AWS Toolkit for Visual Studio 2015.
Copyright 2011-2016 Amazon.com, Inc. or its affiliates. All Rights Reserved.

This software includes third party software subject to the following copyrights:
- Logging from log4net, Apache License 
  [http://logging.apache.org/log4net/license.html]
- Putty for PPK to PEM conversion, MIT license 
  [http://www.chiark.greenend.org.uk/~sgtatham/putty/licence.html]
- NGit for AWS Elastic Beanstalk incremental push
  [https://github.com/mono/ngit/blob/master/NGit.license.txt]
- NSch dependency for NGit
  [https://github.com/mono/ngit/blob/master/NSch.license.txt]
- Sharpen dependency for NGit
  [https://github.com/mono/ngit/blob/master/Sharpen/AssemblyInfo.cs]
- ICSharpCode.SharpZipLib dependency for NGit
  [http://www.icsharpcode.net/opensource/sharpziplib/]
- Mono.Posix.dll and Mono.Security.dll dependencies for NGit
  [http://mono-project.com/FAQ:_Licensing#Licensing]
- MPFProj for Visual Studio Project Framework
  [http://mpfproj10.codeplex.com/license]
- JSON Checker for JSON validation
  [http://www.raboof.com/projects/jsonchecker/]

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

Merq   1.1.17-rc (cba4571)
Command Bus, Event Stream and Async Manager for Visual Studio extensions.

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Mono Debugging for Visual Studio   4.7.4-pre (c2d89eb)
Support for debugging Mono processes with Visual Studio.

NuGet Package Manager   3.4.4
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.60519.0
Microsoft SQL Server Data Tools

Telerik WinForms Converter   2017.3.1017.0
Progress® Telerik® UI for WinForms Converter Visual Studio extensions

Telerik WinForms VSExtensions   2017.3.1017.0
Progress® Telerik® UI for WinForms Visual Studio extensions

Telerik Xamarin VSExtensions   2017.2.519.0
Progress® Telerik® UI for Xamarin Visual Studio extensions

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

VisualStudio.Mac   1.0
Mac Extension for Visual Studio

Xamarin   4.7.10.38 (34c1b6c)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   8.0.2.1 (c2a33d8)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   11.3.0.47 (51128b8)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 1 Jimmy [MSFT] 2017-12-20 21:24:42 UTC
The stack trace looks similar to bug 60358 which was fixed in the latest version. Are you still able to reproduce this issue with Xamarin 4.8.0.756?